// Note that preference alias reside in /chrome/scripts/webfeeler.js
// this means that this script must be loaded AFTER that file.



var toolbar = document.getElementById("WF-toolbar");

function WF_Load()
{
	const prefService = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);
	const branch = prefService.getBranch("webfeeler.");

	// General Options
	document.getElementById("WF-checkbox-toolbar").checked				= branch.getBoolPref(WF_Pref_gen_toolbar);
	document.getElementById("WF-checkbox-alert").checked				= branch.getBoolPref(WF_Pref_gen_alert);
		

	// Translation Options
	//document.getElementById("WF-radio-translation").selected 	= branch.getBoolPref(WF_Pref_trans_use_default_language);
	document.getElementById("WF-menu-translation-state").value 	= branch.getIntPref(WF_Pref_trans_translation_state);
	document.getElementById("WF-textbox-transfileloc").value  	= branch.getCharPref(WF_Pref_trans_language_location);
	document.getElementById("WF-textbox-lang").value 			= branch.getCharPref(WF_Pref_trans_language_name);
	
	//Embossing Options
	document.getElementById("WF-menu-port").value				= branch.getCharPref(WF_Pref_emboss_port);
		
	// Save Options
	document.getElementById("WF-textbox-dest").value 			= branch.getCharPref(WF_Pref_save_dest);
	document.getElementById("WF-textbox-filepre").value 		= branch.getCharPref(WF_Pref_save_filepre);
	document.getElementById("WF-textbox-filesuf").value 		= branch.getCharPref(WF_Pref_save_filesuf);


}

function WF_Save()
{
	const prefService = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);
	const branch = prefService.getBranch("webfeeler.");

	// General Options
	branch.setBoolPref(WF_Pref_gen_toolbar, document.getElementById("WF-checkbox-toolbar").checked);
	//	toggleToolbar(document.getElementById("WF-checkbox-toolbar").checked);
	branch.setBoolPref(WF_Pref_gen_alert, document.getElementById("WF-checkbox-alert").checked);
	
	// Translation Options
	//branch.setBoolPref(WF_Pref_trans_use_default_language, document.getElementById("WF-radio-translation").selected);
	branch.setIntPref(WF_Pref_trans_translation_state, document.getElementById("WF-menu-translation-state").value);
	branch.setCharPref(WF_Pref_trans_language_location, document.getElementById("WF-textbox-transfileloc").value);
	branch.setCharPref(WF_Pref_trans_language_name, document.getElementById("WF-textbox-lang").value);
	
	//Embossing Options
	branch.setCharPref(WF_Pref_emboss_port, document.getElementById("WF-menu-port").value);
		
	// Save Options
	branch.setCharPref(WF_Pref_save_dest, document.getElementById("WF-textbox-dest").value);
	branch.setCharPref(WF_Pref_save_filepre, document.getElementById("WF-textbox-filepre").value);
	
	// Ensure filesuf starts with a '.'
	var tmp = document.getElementById("WF-textbox-filesuf").value;
	if(tmp.charAt(0) != ".") {
		tmp = "."+tmp;
	}
	branch.setCharPref(WF_Pref_save_filesuf, tmp);
}

function toggleToolbar(isHidden) {
        if(!isHidden) {
           //     toolbar.hidden = true;
                return;
        }
        //toolbar.hidden = false;
}