package dougw.unc.edu.webfeeler;

public class WebfeelerConstants {
	
	// ----CONSTANTS
	public static String G_INIT_SUCCESS = 		"Webfeeler class successfully initialized";
	
	// Error Strings
	public static String ERR_START = 			"300"; // the start number of all errors
	public static String ERR_WTD_MUE =			"300101 The address URL appears to be invalid.";
	public static String ERR_WTD_IOE =			"300102 Unable to read URL.  Check that URL is the correct address and your network connection is active.";
	public static String ERR_WTD_WTD =			"300103 Unable to write to a file.  Ensure that the destination directory exists and that you have permission to write to the location.";
	public static String ERR_WTD_NPE =			"300104 Unable to cache URL.  Unable to cache URL.  This problem can occur because the site uses cookies or authentication to access URL.";
	public static String ERR_WTD_UHE =			"300105 Unable to connect to URL.  This problem occurs when your network connection is down or the site is not available.";
	public static String ERR_EXT_URI =			"300201 Unable to form a CacheURL URI.";
	public static String ERR_EXT_EXT =			"300202 Unable to extract text from the cached resource.";
	public static String ERR_EXT_NPE =			"300203 Unable to cache URL.  This problem can occur because the site uses cookies or authentication to access URL.";
	public static String ERR_TRS_TRS = 			"300301 Unable to transcribe text from HTML file.";
	public static String ERR_LOC_UTD =			"300401 Unable to determine location of Webfeeler class file.";
	public static String ERR_WF_BAD = 			"300501 Webfeeler was unable to initialize properly.  Please ensure that all settings are correct and that langague files are in place.  Consult the JavaScript console for more details.";
	public static String ERR_EMB_FIO = 			"300601 Webfeeler was unable to read the cache file.  Terminating the embossing process.";
	public static String ERR_EMB_EIO = 			"300602 Webfeeler was unable to communicate with your embosser.  Please ensure the printer is on, connected, and the correct port is specified in Webfeeler Options.";
		
	/*
	 * Description of states
	 * 1 Grade 1 braille.
	 * 2 Grade 2 braille.
	 * 3 After Letter Sign (Grade 1).
	 * 4 After Letter Sign (Grade 2).
	 * 5 Computer braille
	 */
	public static int 	 DEF_STATE =			1;
	public static String DEF_FILE_PREFIX = 	"transtxt";
	public static String DEF_FILE_SUFFIX = 	".htm";
	public static String DEF_LANGUAGE =		"britishtobr"; // provided with BrailleTrans
}
